<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstTrackerPulse Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_tracker_pulse-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstTrackerPulse Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_pulse_const_8h_source.html">TrackerPulseConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a71c2523f628691fd791dd6f6347f0fc8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a71c2523f628691fd791dd6f6347f0fc8">ConstTrackerPulse</a> ()</td></tr>
<tr class="memdesc:a71c2523f628691fd791dd6f6347f0fc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a71c2523f628691fd791dd6f6347f0fc8">More...</a><br /></td></tr>
<tr class="separator:a71c2523f628691fd791dd6f6347f0fc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8304c462eeeb424fdcd7c41a62625b7b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a8304c462eeeb424fdcd7c41a62625b7b">ConstTrackerPulse</a> (long long <a class="el" href="classeic_1_1_const_tracker_pulse.html#a49299e9524596d3547d0cfd98d2e3609">cellID0</a>, long long <a class="el" href="classeic_1_1_const_tracker_pulse.html#acd2d4064bacf0b07dd4002e2274ef604">cellID1</a>, int <a class="el" href="classeic_1_1_const_tracker_pulse.html#a371d323e29bc0a8230ff365b1d281cdc">quality</a>, float <a class="el" href="classeic_1_1_const_tracker_pulse.html#ac6835fcd964d15097a1a6621ae0ecc54">time</a>, float <a class="el" href="classeic_1_1_const_tracker_pulse.html#aef044092af798fe1bff41fa1ed0636b9">charge</a>)</td></tr>
<tr class="separator:a8304c462eeeb424fdcd7c41a62625b7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a553f9afb1e0a2ec8702832d21e4685ac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a553f9afb1e0a2ec8702832d21e4685ac">ConstTrackerPulse</a> (<a class="el" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a> *obj)</td></tr>
<tr class="memdesc:a553f9afb1e0a2ec8702832d21e4685ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a>  <a href="#a553f9afb1e0a2ec8702832d21e4685ac">More...</a><br /></td></tr>
<tr class="separator:a553f9afb1e0a2ec8702832d21e4685ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eed12837272852ad9c1f4559f434c09"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a0eed12837272852ad9c1f4559f434c09">ConstTrackerPulse</a> (const <a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp;other)</td></tr>
<tr class="memdesc:a0eed12837272852ad9c1f4559f434c09"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a0eed12837272852ad9c1f4559f434c09">More...</a><br /></td></tr>
<tr class="separator:a0eed12837272852ad9c1f4559f434c09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd95d10c54acf464f6eac03d8eb5b043"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#acd95d10c54acf464f6eac03d8eb5b043">operator=</a> (const <a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp;other)</td></tr>
<tr class="memdesc:acd95d10c54acf464f6eac03d8eb5b043"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#acd95d10c54acf464f6eac03d8eb5b043">More...</a><br /></td></tr>
<tr class="separator:acd95d10c54acf464f6eac03d8eb5b043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73decb264f1fa73d21378aa2816ab0e2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a73decb264f1fa73d21378aa2816ab0e2">clone</a> () const</td></tr>
<tr class="memdesc:a73decb264f1fa73d21378aa2816ab0e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a73decb264f1fa73d21378aa2816ab0e2">More...</a><br /></td></tr>
<tr class="separator:a73decb264f1fa73d21378aa2816ab0e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a905855d506d2e072a07ba604134d69f2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a905855d506d2e072a07ba604134d69f2">~ConstTrackerPulse</a> ()</td></tr>
<tr class="memdesc:a905855d506d2e072a07ba604134d69f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a905855d506d2e072a07ba604134d69f2">More...</a><br /></td></tr>
<tr class="separator:a905855d506d2e072a07ba604134d69f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49299e9524596d3547d0cfd98d2e3609"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a49299e9524596d3547d0cfd98d2e3609">cellID0</a> () const</td></tr>
<tr class="memdesc:a49299e9524596d3547d0cfd98d2e3609"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The detector specific (geometrical) cell id.  <a href="#a49299e9524596d3547d0cfd98d2e3609">More...</a><br /></td></tr>
<tr class="separator:a49299e9524596d3547d0cfd98d2e3609"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd2d4064bacf0b07dd4002e2274ef604"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#acd2d4064bacf0b07dd4002e2274ef604">cellID1</a> () const</td></tr>
<tr class="memdesc:acd2d4064bacf0b07dd4002e2274ef604"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The second detector specific (geometrical) cell id.  <a href="#acd2d4064bacf0b07dd4002e2274ef604">More...</a><br /></td></tr>
<tr class="separator:acd2d4064bacf0b07dd4002e2274ef604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a371d323e29bc0a8230ff365b1d281cdc"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a371d323e29bc0a8230ff365b1d281cdc">quality</a> () const</td></tr>
<tr class="memdesc:a371d323e29bc0a8230ff365b1d281cdc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the ...  <a href="#a371d323e29bc0a8230ff365b1d281cdc">More...</a><br /></td></tr>
<tr class="separator:a371d323e29bc0a8230ff365b1d281cdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6835fcd964d15097a1a6621ae0ecc54"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#ac6835fcd964d15097a1a6621ae0ecc54">time</a> () const</td></tr>
<tr class="memdesc:ac6835fcd964d15097a1a6621ae0ecc54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The time of the pulse.  <a href="#ac6835fcd964d15097a1a6621ae0ecc54">More...</a><br /></td></tr>
<tr class="separator:ac6835fcd964d15097a1a6621ae0ecc54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef044092af798fe1bff41fa1ed0636b9"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#aef044092af798fe1bff41fa1ed0636b9">charge</a> () const</td></tr>
<tr class="memdesc:aef044092af798fe1bff41fa1ed0636b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The integrated charge of the pulse.  <a href="#aef044092af798fe1bff41fa1ed0636b9">More...</a><br /></td></tr>
<tr class="separator:aef044092af798fe1bff41fa1ed0636b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee17c4b82128d799b8952e76a58bceca"><td class="memItemLeft" align="right" valign="top">const ::<a class="el" href="classeic_1_1_const_tracker_data.html">eic::ConstTrackerData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#aee17c4b82128d799b8952e76a58bceca">corrData</a> () const</td></tr>
<tr class="memdesc:aee17c4b82128d799b8952e76a58bceca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the ...  <a href="#aee17c4b82128d799b8952e76a58bceca">More...</a><br /></td></tr>
<tr class="separator:aee17c4b82128d799b8952e76a58bceca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28edc3f3c75883b269ad7ae00a2f3012"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a28edc3f3c75883b269ad7ae00a2f3012">isAvailable</a> () const</td></tr>
<tr class="memdesc:a28edc3f3c75883b269ad7ae00a2f3012"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a28edc3f3c75883b269ad7ae00a2f3012">More...</a><br /></td></tr>
<tr class="separator:a28edc3f3c75883b269ad7ae00a2f3012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bdadbffbf417e2721e9ae3f63d4cd17"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a2bdadbffbf417e2721e9ae3f63d4cd17">unlink</a> ()</td></tr>
<tr class="memdesc:a2bdadbffbf417e2721e9ae3f63d4cd17"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a> instance  <a href="#a2bdadbffbf417e2721e9ae3f63d4cd17">More...</a><br /></td></tr>
<tr class="separator:a2bdadbffbf417e2721e9ae3f63d4cd17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf27c57908c034ff5b5b0be05a88976f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#adf27c57908c034ff5b5b0be05a88976f">operator==</a> (const <a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp;other) const</td></tr>
<tr class="separator:adf27c57908c034ff5b5b0be05a88976f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb88cb93f52bf7831aea58fe6ade7524"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#acb88cb93f52bf7831aea58fe6ade7524">operator==</a> (const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> &amp;other) const</td></tr>
<tr class="separator:acb88cb93f52bf7831aea58fe6ade7524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae131adc309eb87e22baae27a169adaa5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#ae131adc309eb87e22baae27a169adaa5">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp;other) const</td></tr>
<tr class="separator:ae131adc309eb87e22baae27a169adaa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa01f4bd4ea156f8f9f832e340bc1ef7"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#aaa01f4bd4ea156f8f9f832e340bc1ef7">id</a> () const</td></tr>
<tr class="separator:aaa01f4bd4ea156f8f9f832e340bc1ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_tracker_pulse.html#a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a">getObjectID</a> () const</td></tr>
<tr class="separator:a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC tracker pulse </p><dl class="section author"><dt>Author</dt><dd>: F. Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8h_source.html#l00028">28</a> of file <a class="el" href="_tracker_pulse_const_8h_source.html">TrackerPulseConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a71c2523f628691fd791dd6f6347f0fc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71c2523f628691fd791dd6f6347f0fc8">&#9670;&nbsp;</a></span>ConstTrackerPulse() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerPulse::ConstTrackerPulse </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00017">17</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

</div>
</div>
<a id="a8304c462eeeb424fdcd7c41a62625b7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8304c462eeeb424fdcd7c41a62625b7b">&#9670;&nbsp;</a></span>ConstTrackerPulse() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerPulse::ConstTrackerPulse </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>quality</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>charge</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">21</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_data_8h_source.html#l00016">eic::TrackerPulseData::cellID0</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00051">cellID0()</a>, <a class="el" href="_tracker_pulse_data_8h_source.html#l00017">eic::TrackerPulseData::cellID1</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00052">cellID1()</a>, <a class="el" href="_tracker_pulse_data_8h_source.html#l00020">eic::TrackerPulseData::charge</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00055">charge()</a>, <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">eic::TrackerPulseObj::data</a>, <a class="el" href="_tracker_pulse_data_8h_source.html#l00018">eic::TrackerPulseData::quality</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00053">quality()</a>, <a class="el" href="_tracker_pulse_data_8h_source.html#l00019">eic::TrackerPulseData::time</a>, and <a class="el" href="_tracker_pulse_const_8cc_source.html#l00054">time()</a>.</p>

</div>
</div>
<a id="a553f9afb1e0a2ec8702832d21e4685ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a553f9afb1e0a2ec8702832d21e4685ac">&#9670;&nbsp;</a></span>ConstTrackerPulse() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerPulse::ConstTrackerPulse </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00040">40</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

</div>
</div>
<a id="a0eed12837272852ad9c1f4559f434c09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0eed12837272852ad9c1f4559f434c09">&#9670;&nbsp;</a></span>ConstTrackerPulse() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerPulse::ConstTrackerPulse </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00030">30</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

</div>
</div>
<a id="a905855d506d2e072a07ba604134d69f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a905855d506d2e072a07ba604134d69f2">&#9670;&nbsp;</a></span>~ConstTrackerPulse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstTrackerPulse::~ConstTrackerPulse </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00048">48</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a49299e9524596d3547d0cfd98d2e3609"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49299e9524596d3547d0cfd98d2e3609">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstTrackerPulse::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00051">51</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_data_8h_source.html#l00016">eic::TrackerPulseData::cellID0</a>, and <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">eic::TrackerPulseObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">ConstTrackerPulse()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00102">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="acd2d4064bacf0b07dd4002e2274ef604"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd2d4064bacf0b07dd4002e2274ef604">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstTrackerPulse::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00052">52</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_data_8h_source.html#l00017">eic::TrackerPulseData::cellID1</a>, and <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">eic::TrackerPulseObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">ConstTrackerPulse()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00102">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aef044092af798fe1bff41fa1ed0636b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef044092af798fe1bff41fa1ed0636b9">&#9670;&nbsp;</a></span>charge()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstTrackerPulse::charge </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The integrated charge of the pulse. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00055">55</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_data_8h_source.html#l00020">eic::TrackerPulseData::charge</a>, and <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">eic::TrackerPulseObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">ConstTrackerPulse()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00102">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a73decb264f1fa73d21378aa2816ab0e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73decb264f1fa73d21378aa2816ab0e2">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> eic::ConstTrackerPulse::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00044">44</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

</div>
</div>
<a id="aee17c4b82128d799b8952e76a58bceca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee17c4b82128d799b8952e76a58bceca">&#9670;&nbsp;</a></span>corrData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a> eic::ConstTrackerPulse::corrData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the ... </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00057">57</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_obj_8h_source.html#l00035">eic::TrackerPulseObj::m_corrData</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_8cc_source.html#l00102">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstTrackerPulse::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00076">76</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8h_source.html#l00089">id()</a>.</p>

</div>
</div>
<a id="aaa01f4bd4ea156f8f9f832e340bc1ef7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa01f4bd4ea156f8f9f832e340bc1ef7">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstTrackerPulse::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8h_source.html#l00089">89</a> of file <a class="el" href="_tracker_pulse_const_8h_source.html">TrackerPulseConst.h</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_const_8cc_source.html#l00076">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_8cc_source.html#l00102">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a28edc3f3c75883b269ad7ae00a2f3012"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28edc3f3c75883b269ad7ae00a2f3012">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerPulse::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00069">69</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

</div>
</div>
<a id="ae131adc309eb87e22baae27a169adaa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae131adc309eb87e22baae27a169adaa5">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerPulse::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8h_source.html#l00087">87</a> of file <a class="el" href="_tracker_pulse_const_8h_source.html">TrackerPulseConst.h</a>.</p>

</div>
</div>
<a id="acd95d10c54acf464f6eac03d8eb5b043"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd95d10c54acf464f6eac03d8eb5b043">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp; eic::ConstTrackerPulse::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00034">34</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

</div>
</div>
<a id="adf27c57908c034ff5b5b0be05a88976f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf27c57908c034ff5b5b0be05a88976f">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerPulse::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8h_source.html#l00083">83</a> of file <a class="el" href="_tracker_pulse_const_8h_source.html">TrackerPulseConst.h</a>.</p>

</div>
</div>
<a id="acb88cb93f52bf7831aea58fe6ade7524"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb88cb93f52bf7831aea58fe6ade7524">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstTrackerPulse::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00083">83</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

</div>
</div>
<a id="a371d323e29bc0a8230ff365b1d281cdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a371d323e29bc0a8230ff365b1d281cdc">&#9670;&nbsp;</a></span>quality()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::ConstTrackerPulse::quality </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the ... </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00053">53</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">eic::TrackerPulseObj::data</a>, and <a class="el" href="_tracker_pulse_data_8h_source.html#l00018">eic::TrackerPulseData::quality</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">ConstTrackerPulse()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00102">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ac6835fcd964d15097a1a6621ae0ecc54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6835fcd964d15097a1a6621ae0ecc54">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstTrackerPulse::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The time of the pulse. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8cc_source.html#l00054">54</a> of file <a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_obj_8h_source.html#l00034">eic::TrackerPulseObj::data</a>, and <a class="el" href="_tracker_pulse_data_8h_source.html#l00019">eic::TrackerPulseData::time</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">ConstTrackerPulse()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00102">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a2bdadbffbf417e2721e9ae3f63d4cd17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bdadbffbf417e2721e9ae3f63d4cd17">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstTrackerPulse::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_const_8h_source.html#l00081">81</a> of file <a class="el" href="_tracker_pulse_const_8h_source.html">TrackerPulseConst.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_pulse_const_8h_source.html">TrackerPulseConst.h</a></li>
<li>src/<a class="el" href="_tracker_pulse_const_8cc_source.html">TrackerPulseConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
